{
    "BrowseFullVal": "ns=4;i=5001",
    "BrowseNSIndex": 4,
    "BrowseValue": 5001,
    "keyPartCount": "IO_150",
    "keyPartReq": "",
    "keyPartId": "",
    "keyProgName": "",
    "keyRunMode": "IO_129",
    "pingAsPowerOn": true,
    "condWork": [
        {
            "keyName": "IO_120.03",
            "targetValue": "True"
        }
    ],
    "condPowerOn": {
        "checkMode": "AND",
        "checkList": [
            {
                "keyName": "IO_120.00",
                "targetValue": "True"
            }
        ]
    },
    "condReady": {
        "checkMode": "AND",
        "checkList": [
            {
                "keyName": "IO_121.00",
                "targetValue": "True"
            }
        ]
    },
    "condManual": {
        "checkMode": "AND",
        "checkList": [
            {
                "keyName": "IO_120.06",
                "targetValue": "True"
            }
        ]
    },
    "condEStop": {
        "checkMode": "AND",
        "checkList": [
            {
                "keyName": "IO_121.02",
                "targetValue": "True"
            }
        ]
    },
    "condError": {
        "checkMode": "AND",
        "checkList": [
            {
                "keyName": "IO_120.08",
                "targetValue": "True"
            }
        ]
    },
    "condCountEnabled": {
        "checkMode": "AND",
        "checkList": []
    },
    "condWarmUpCoolDown": {
        "checkMode": "OR",
        "checkList": [
            {
                "keyName": "IO_120.04",
                "targetValue": "True"
            },
            {
                "keyName": "IO_120.05",
                "targetValue": "True"
            }
        ]
    },
    "fluxLogVeto": [
        "L2p1CommonVariable"
    ],
    "itemTranslation": {
        "avail": "Machine Available",
        "rstat": "Execution Mode",
        "mode": "Controller Mode",
        "ncprog": "Program Name",
        "IO_150": "Qta Prodotta (metri)",
        "lpremain": "Qta Richiesta",
        "fdovrd": "PATH FEED OVERRIDE",
        "rovrd": "PATH RAPID OVERRIDE"
    },
    "paramsEndThresh": {
        "InvDDone": 50
    },
    "mMapWrite": {
        "setPzComm": {
            "name": "setPzComm",
            "description": "Qty",
            "tipoMem": "Int",
            "memAddr": "ns=4;s=IO_153",
            "index": 0,
            "size": -1
        },
        "setComm": {
            "name": "setComm",
            "description": "Commessa",
            "tipoMem": "String",
            "memAddr": "ns=4;s=ST_80",
            "index": 0,
            "size": 20
        },
        "setArt": {
            "name": "setArt",
            "description": "Articolo",
            "tipoMem": "String",
            "memAddr": "ns=4;s=ST_80",
            "index": 20,
            "size": 20
        }
    }
}